/*
Gear setting script by trico
_nul = [this,"TL"] call compile preprocessFileLineNumbers "gear.sqf";
*/
private ["_unit", "_type"];

_unit = _this select 0;
_type = _this select 1;

if(!local _unit) exitWith{};
waitUntil {!isNull _unit};

removeAllWeapons _unit;
removeAllAssignedItems _unit;
removeBackpack _unit;
removeVest _unit;
removeUniform _unit;
removeHeadGear _unit;
removeGoggles _unit;

_unit linkItem "ItemCompass";
_unit linkItem "ItemMap";
_unit linkItem "ItemWatch";

switch (_type) do {
		
	case "TL":
	{
		_unit addWeapon "tf_anprc152";
		_unit addWeapon "ACE_Vector";
		_unit addWeapon "arifle_MX_F";
		_unit addPrimaryWeaponItem "optic_Aco";
		_unit addWeapon "hgun_ACPC2_F";
		_unit addHeadgear "H_HelmetB";
		_unit addBackpack "B_AssaultPack_rgr";
		clearAllItemsFromBackpack _unit;
		for "_i" from 1 to 4 do {_unit addItemToBackpack "ACE_fieldDressing";};
		for "_i" from 1 to 4 do {_unit addItemToBackpack "ACE_packingBandage";};
		for "_i" from 1 to 4 do {_unit addItemToBackpack "ACE_elasticBandage";};
		for "_i" from 1 to 4 do {_unit addItemToBackpack "ACE_quikclot";};
		for "_i" from 1 to 2 do {_unit addItemToBackpack "ACE_morphine";};
		for "_i" from 1 to 2 do {_unit addItemToBackpack "ACE_epinephrine";};
		for "_i" from 1 to 1 do {_unit addItemToBackpack "ACE_tourniquet";};
		for "_i" from 1 to 2 do {_unit addItemToBackpack "DemoCharge_Remote_Mag";};
		for "_i" from 1 to 1 do {_unit addItemToBackpack "ACE_Clacker";};
		_unit addVest "V_PlateCarrier1_rgr";
		for "_i" from 1 to 6 do {_unit addItemToVest "30Rnd_65x39_caseless_mag";};
		for "_i" from 1 to 2 do {_unit addItemToVest "HandGrenade";};
		for "_i" from 1 to 1 do {_unit addItemToVest "SmokeShell";};
		for "_i" from 1 to 1 do {_unit addItemToVest "SmokeShellGreen";};
		for "_i" from 1 to 1 do {_unit addItemToVest "SmokeShellRed";};
		_unit forceAddUniform "U_B_CombatUniform_mcam";
		for "_i" from 1 to 3 do {_unit addItemToUniform "9Rnd_45ACP_Mag";};
		for "_i" from 1 to 1 do {_unit addItemToUniform "ACE_EarPlugs";};
		for "_i" from 1 to 1 do {_unit addItemToUniform "ACE_microDAGR";};
	};
	
	case "AR":
	{
		_unit addWeapon "tf_anprc152";
		_unit addWeapon "Binocular";
		_unit addWeapon "arifle_MX_SW_F";
		_unit addPrimaryWeaponItem "optic_Aco";
		_unit addWeapon "hgun_ACPC2_F";
		_unit addHeadgear "H_HelmetB";
		_unit addBackpack "B_AssaultPack_rgr";
		clearAllItemsFromBackpack _unit;
		for "_i" from 1 to 2 do {_unit addItemToBackpack "100Rnd_65x39_caseless_mag";};
		for "_i" from 1 to 4 do {_unit addItemToBackpack "ACE_fieldDressing";};
		for "_i" from 1 to 4 do {_unit addItemToBackpack "ACE_packingBandage";};
		for "_i" from 1 to 4 do {_unit addItemToBackpack "ACE_elasticBandage";};
		for "_i" from 1 to 4 do {_unit addItemToBackpack "ACE_quikclot";};
		for "_i" from 1 to 2 do {_unit addItemToBackpack "ACE_morphine";};
		for "_i" from 1 to 2 do {_unit addItemToBackpack "ACE_epinephrine";};
		for "_i" from 1 to 1 do {_unit addItemToBackpack "ACE_tourniquet";};
		for "_i" from 1 to 1 do {_unit addItemToBackpack "ACE_SpareBarrel";};
		_unit addVest "V_PlateCarrier1_rgr";
		for "_i" from 1 to 4 do {_unit addItemToVest "100Rnd_65x39_caseless_mag";};
		for "_i" from 1 to 2 do {_unit addItemToVest "HandGrenade";};
		for "_i" from 1 to 1 do {_unit addItemToVest "SmokeShell";};
		for "_i" from 1 to 1 do {_unit addItemToVest "SmokeShellGreen";};
		for "_i" from 1 to 1 do {_unit addItemToVest "SmokeShellRed";};
		_unit forceAddUniform "U_B_CombatUniform_mcam";
		for "_i" from 1 to 3 do {_unit addItemToUniform "9Rnd_45ACP_Mag";};
		for "_i" from 1 to 1 do {_unit addItemToUniform "ACE_EarPlugs";};
	};
	
	case "GR":
	{
		_unit addWeapon "tf_anprc152";
		_unit addWeapon "Binocular";
		_unit addWeapon "arifle_MX_GL_F";
		_unit addPrimaryWeaponItem "optic_Aco";
		_unit addWeapon "hgun_ACPC2_F";
		_unit addHeadgear "H_HelmetB";
		_unit addBackpack "B_AssaultPack_rgr";
		clearAllItemsFromBackpack _unit;
		for "_i" from 1 to 8 do {_unit addItemToBackpack "1Rnd_HE_Grenade_shell";};
		for "_i" from 1 to 4 do {_unit addItemToBackpack "1Rnd_SmokeRed_Grenade_shell";};
		for "_i" from 1 to 4 do {_unit addItemToBackpack "ACE_fieldDressing";};
		for "_i" from 1 to 4 do {_unit addItemToBackpack "ACE_packingBandage";};
		for "_i" from 1 to 4 do {_unit addItemToBackpack "ACE_elasticBandage";};
		for "_i" from 1 to 4 do {_unit addItemToBackpack "ACE_quikclot";};
		for "_i" from 1 to 2 do {_unit addItemToBackpack "ACE_morphine";};
		for "_i" from 1 to 2 do {_unit addItemToBackpack "ACE_epinephrine";};
		for "_i" from 1 to 1 do {_unit addItemToBackpack "ACE_tourniquet";};
		_unit addVest "V_PlateCarrierGL_rgr";
		for "_i" from 1 to 6 do {_unit addItemToVest "30Rnd_65x39_caseless_mag";};
		for "_i" from 1 to 2 do {_unit addItemToVest "HandGrenade";};
		for "_i" from 1 to 1 do {_unit addItemToVest "SmokeShell";};
		for "_i" from 1 to 1 do {_unit addItemToVest "SmokeShellGreen";};
		for "_i" from 1 to 1 do {_unit addItemToVest "SmokeShellRed";};
		_unit forceAddUniform "U_B_CombatUniform_mcam";
		for "_i" from 1 to 3 do {_unit addItemToUniform "9Rnd_45ACP_Mag";};
		for "_i" from 1 to 1 do {_unit addItemToUniform "ACE_EarPlugs";};
	};
	
	case "RM":
	{
		_unit addWeapon "tf_anprc152";
		_unit addWeapon "Binocular";
		_unit addWeapon "arifle_MX_F";
		_unit addPrimaryWeaponItem "optic_Aco";
		_unit addWeapon "hgun_ACPC2_F";
		_unit addHeadgear "H_HelmetB";
		_unit addBackpack "B_AssaultPack_rgr";
		clearAllItemsFromBackpack _unit;
		for "_i" from 1 to 4 do {_unit addItemToBackpack "ACE_fieldDressing";};
		for "_i" from 1 to 4 do {_unit addItemToBackpack "ACE_packingBandage";};
		for "_i" from 1 to 4 do {_unit addItemToBackpack "ACE_elasticBandage";};
		for "_i" from 1 to 4 do {_unit addItemToBackpack "ACE_quikclot";};
		for "_i" from 1 to 2 do {_unit addItemToBackpack "ACE_morphine";};
		for "_i" from 1 to 2 do {_unit addItemToBackpack "ACE_epinephrine";};
		for "_i" from 1 to 1 do {_unit addItemToBackpack "ACE_tourniquet";};
		_unit addVest "V_PlateCarrier1_rgr";
		for "_i" from 1 to 6 do {_unit addItemToVest "30Rnd_65x39_caseless_mag";};
		for "_i" from 1 to 2 do {_unit addItemToVest "HandGrenade";};
		for "_i" from 1 to 1 do {_unit addItemToVest "SmokeShell";};
		for "_i" from 1 to 1 do {_unit addItemToVest "SmokeShellGreen";};
		for "_i" from 1 to 1 do {_unit addItemToVest "SmokeShellRed";};
		_unit forceAddUniform "U_B_CombatUniform_mcam";
		for "_i" from 1 to 3 do {_unit addItemToUniform "9Rnd_45ACP_Mag";};
		for "_i" from 1 to 1 do {_unit addItemToUniform "ACE_EarPlugs";};
	};
	
	case "MD":
	{
		_unit addWeapon "tf_anprc152";
		_unit addWeapon "Binocular";
		_unit addWeapon "arifle_MX_F";
		_unit addPrimaryWeaponItem "optic_Aco";
		_unit addWeapon "hgun_ACPC2_F";
		_unit addHeadgear "H_HelmetB";
		_unit addBackpack "B_AssaultPack_rgr";
		clearAllItemsFromBackpack _unit;
		for "_i" from 1 to 10 do {_unit addItemToBackpack "ACE_fieldDressing";};
		for "_i" from 1 to 10 do {_unit addItemToBackpack "ACE_packingBandage";};
		for "_i" from 1 to 10 do {_unit addItemToBackpack "ACE_elasticBandage";};
		for "_i" from 1 to 10 do {_unit addItemToBackpack "ACE_quikclot";};
		for "_i" from 1 to 10 do {_unit addItemToBackpack "ACE_morphine";};
		for "_i" from 1 to 10 do {_unit addItemToBackpack "ACE_epinephrine";};
		for "_i" from 1 to 6 do {_unit addItemToBackpack "ACE_tourniquet";};
		for "_i" from 1 to 6 do {_unit addItemToBackpack "ACE_salineIV_500";};
		for "_i" from 1 to 6 do {_unit addItemToBackpack "ACE_personalAidKit";};
		_unit addVest "V_PlateCarrier1_rgr";
		for "_i" from 1 to 6 do {_unit addItemToVest "30Rnd_65x39_caseless_mag";};
		for "_i" from 1 to 2 do {_unit addItemToVest "HandGrenade";};
		for "_i" from 1 to 1 do {_unit addItemToVest "SmokeShell";};
		for "_i" from 1 to 1 do {_unit addItemToVest "SmokeShellGreen";};
		for "_i" from 1 to 1 do {_unit addItemToVest "SmokeShellRed";};
		_unit forceAddUniform "U_B_CombatUniform_mcam";
		for "_i" from 1 to 3 do {_unit addItemToUniform "9Rnd_45ACP_Mag";};
		for "_i" from 1 to 1 do {_unit addItemToUniform "ACE_EarPlugs";};
	};

};

_unit selectWeapon (primaryWeapon _unit);